Bug 171636 - 3ds models (starships) do not show up
3ds models (starships) do not show up
Product: Fedora
Classification: Fedora
Component: celestia (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: FE5Target
  Show dependency treegraph
Reported: 2005-10-24 12:29 EDT by Maurizio Paolini
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.4.1-2.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-19 17:06:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Maurizio Paolini 2005-10-24 12:29:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.2 (like Gecko)

Description of problem:
starships do not show up.  There is a problem with an optimization 
option (-fstrict-aliasing) automatically activated by "-O2" at 
build time. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start celestia   
2. press <enter> 
3. enter: hubble 
4. press "g" 

Actual Results:  nothing can be viewed 

Expected Results:  you should see the hubble space telescope (this works for the same 
package for FC3 

Additional info:

The problem can be solved by adding "CXXFLAGS=-fno-strict-aliasing" 
in the source rpm spec file. 
More details in http://dmf.unicatt.it/~paolini/celestia/celestiabug.txt
Comment 1 Steven Pritchard 2006-02-11 20:20:13 EST
Please test the current release (1.4.0-1.fc4) and re-open this bug if the
problem still exists.
Comment 2 Maurizio Paolini 2006-02-12 03:15:24 EST
I checked and everything look fine! Thank you. 
Comment 3 Maurizio Paolini 2006-05-19 06:29:11 EDT
I am very sorry to report that this bug reappeared again in FC5
celestia-1.4.1-1.fc5.i386.rpm (and is also still present in the fedora 
development package celestia-1.4.1-1.fc6.i386.rpm).

It is a little bit sad to see that this problem cannot be fixed once
and for all :-(
Comment 4 Maurizio Paolini 2006-05-19 07:05:57 EDT
It seems that now the problem cannot be fixed in the same way as for
the 1.3.2-3 (fc4) version.  I am currently investigating, but I am not
sure to be able to find a workaround. 
Comment 5 Maurizio Paolini 2006-05-19 07:32:39 EDT
It seems that all the 3ds models are no longer packaged.  Indeed
"make install" does NOT install the 3ds models, although they are
still present in the tarball.

It is possible to work around the problem by modifying the 
models/Makefile by adding an entry for 3ds as follows:

pkgdata_DATA = \
        $(wildcard *.cms) \
        $(wildcard *.cmod) \
        $(wildcard *.pts) \
        $(wildcard *.3ds)

However I wonder if there is some legal issue that motivates the
exclusion of 3ds models.
Comment 6 Maurizio Paolini 2006-05-19 10:42:29 EDT
It appears that the reason why 3ds models are not included is
just for the sake of reducing the dimension of binary packages.
Anyway, adding a line like:

install -p -m 644 -D models/*.3ds $RPM_BUILD_ROOT%{_datadir}/celestia/models

in the spec file would solve the problem.  Another possibility could be
the creation of an additional rpm package (something like celestia-3ds,
or celestia-extra).

the rpm package with the 3ds models is 18.7 Mb large, compared to 15.1
Mb (the size of the package without the 3ds models).  Actually it doesn't
seem too bad...
Comment 7 Steven Pritchard 2006-05-19 17:06:32 EDT
Thanks for debugging that.  It is fixed in -2.

Note You need to log in before you can comment on or make changes to this bug.